### A free/open-source library for quantitative finance

Public Member Functions
BinomialVanillaEngine< T > Class Template Reference
Vanilla option engines

Pricing engine for vanilla options using binomial trees. More...

`#include <ql/pricingengines/vanilla/binomialengine.hpp>`

Inherits OneAssetOption::engine.

List of all members.

## Public Member Functions

| BinomialVanillaEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process, Size timeSteps)
void | calculate () const

## Detailed Description

### template<class T>
class QuantLib::BinomialVanillaEngine< T >

Pricing engine for vanilla options using binomial trees.

Tests:
  the correctness of the returned values is tested by checking it against analytic results.

Possible enhancements:
  Greeks are not overly accurate. They could be improved by building a tree so that it has three points at the current time. The value would be fetched from the middle one, while the two side points would be used for estimating partial derivatives.

Examples:
  EquityOption.cpp.